export interface BadgeTypes {
    /** circleCi build. */
    circleci: '/circleci/build/github/<GITHUB>/<REPO>';
    /** codecov percentage. */
    codecov: '/gh/<GITHUB>/<REPO>/branch/master/graph/badge.svg';
    /** Vscode Extension Version. */
    vscV: '/visual-studio-marketplace/v/<VSCODE>';
    /** Vscode Extension downloads. */
    vscD: '/visual-studio-marketplace/d/<VSCODE>';
    /** Vscode Extension installs. */
    vscI: '/visual-studio-marketplace/i/<VSCODE>';
    /** Vscode Extension ratings. */
    vscR: '/visual-studio-marketplace/r/<VSCODE>';
    /** Bundlephobia Min. */
    min: '/bundlephobia/min/<NAME>';
    /** Bundlephobia Minzip. */
    minzip: '/bundlephobia/minzip/<NAME>';
    /** Packagephobia Install. */
    install: '/packagephobia/install/<NAME>';
    /** Packagephobia Publish. */
    publish: '/packagephobia/publish/<NAME>';
    /** Npm Version. */
    npmV: '/npm/v/<NAME>';
    /** Npm Weekly Downloads. */
    npmDW: '/npm/dw/<NAME>';
    /** Npm Monthly Downloads. */
    npmDM: '/npm/dm/<NAME>';
    /** Npm Yearly Downloads. */
    npmDY: '/npm/dy/<NAME>';
    /** Npm Total Downloads. */
    npmDT: '/npm/dt/<NAME>';
    /** Npm Types. */
    npmTypes: '/npm/types/<NAME>';
    /** Npm License. */
    npmLicense: '/npm/license/<NAME>';
    /** Npm Node. */
    npmNode: '/npm/node/<NAME>';
    /** Npm Dependents. */
    npmDep: '/npm/dependents/<NAME>';
    /** GitHub Followers. */
    githubFollowers: '/github/followers/<GITHUB>';
    /** GitHub Forks. */
    githubForks: '/github/forks/<GITHUB>/<REPO>';
    /** GitHub Starts. */
    githubStars: '/github/stars/<GITHUB>/<REPO>';
    /** GitHub Issues. */
    githubIssues: '/github/issues/<GITHUB>/<REPO>';
    /** GitHub Last Commit. */
    githubLastCommit: '/github/last-commit/<GITHUB>/<REPO>';
}
export interface BadgeLinkTypes {
    /** Npm package. */
    npm: 'https://www.npmjs.com/package/<NAME>';
    /** Github Repo. */
    github: 'https://github.com/<GITHUB>/<REPO>';
    /** circleCi Repo Pipelines. */
    circleci: 'https://app.circleci.com/github/<GITHUB>/<REPO>/pipelines';
    /** Visual Studio marketplace. */
    vscode: 'https://marketplace.visualstudio.com/items?itemName=<VSCODE>';
    /** Bundlephobia Link. */
    bundle: 'https://bundlephobia.com/result?p=<NAME>';
    /** Packagephobia Link. */
    package: 'https://packagephobia.now.sh/result?p=<NAME>';
    /** codecov Link. */
    codecov: 'https://codecov.io/gh/<GITHUB>/<REPO>';
}
