"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const badges_1 = require("./modules/badges");
const tsDoc_1 = require("./modules/tsDoc");
const utility_1 = require("./utility");
const config_1 = require("./config");
const state_1 = require("./state");
const license_1 = require("./modules/license");
const logger_1 = require("./logger");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        const ARGS = utility_1.getArgs();
        const Package = yield utility_1.getPackageJson();
        const { config, configPath } = yield config_1.getConfig(Package);
        const STATE = new state_1.State(Package, config, configPath);
        switch (ARGS[0] ? ARGS[0].replace(/^--?/, '') : ARGS[0]) {
            case 'a':
            case 'all':
                yield CallAll(STATE);
                break;
            case 'b':
            case 'badges':
                yield badges_1.Badges(STATE);
                break;
            case 't':
            case 'ts':
            case 'd.ts':
            case 'docs':
                yield tsDoc_1.TsDoc(STATE);
                break;
            case 'l':
            case 'license':
                yield license_1.License(STATE);
                break;
            case 'h':
            case 'help':
                logger_1.log('help');
                break;
            default:
                yield CallAll(STATE);
                break;
        }
    });
}
exports.run = run;
function CallAll(STATE) {
    return __awaiter(this, void 0, void 0, function* () {
        yield badges_1.Badges(STATE);
        yield tsDoc_1.TsDoc(STATE);
        yield license_1.License(STATE);
    });
}
