"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.State = void 0;
const config_1 = require("./config");
class State {
    constructor(PACKAGE, CONFIG, configPath) {
        this.PACKAGE = PACKAGE;
        this.CONFIG = CONFIG;
        this.configPath = configPath;
    }
    getConfigSection(type) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.CONFIG[type] !== undefined) {
                return this.CONFIG[type];
            }
            else {
                const config = yield config_1.createOrUpdateConfig(this.PACKAGE, type, this);
                if (config) {
                    return config[type];
                }
            }
        });
    }
}
exports.State = State;
