"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertGenerated = exports.readFileAndAddMarker = exports.insertionMarker = void 0;
const fs_1 = require("fs");
exports.insertionMarker = {
    marker: 'SUF_CLI_DOC_INSERTION_MARKER',
    regex: /SUF_CLI_DOC_INSERTION_MARKER/g,
};
const Markers = {
    tsDoc: {
        regex: /<span id="DOC_GENERATION_MARKER_0"><\/span>[\S\s]*<span id="DOC_GENERATION_MARKER_1"><\/span>/,
        marker: '<span id="DOC_GENERATION_MARKER_0"></span>\n__INSERT_GENERATED__\n_Generated with_ **[suf-cli](https://www.npmjs.com/package/suf-cli)**\n<span id="DOC_GENERATION_MARKER_1"></span>',
    },
    badges: {
        regex: /<span id="BADGE_GENERATION_MARKER_0"><\/span>[\S\s]*<span id="BADGE_GENERATION_MARKER_1"><\/span>/,
        marker: '<span id="BADGE_GENERATION_MARKER_0"></span>\n__INSERT_GENERATED__\n<span id="BADGE_GENERATION_MARKER_1"></span>',
    },
    license: {
        regex: /<span id="LICENSE_GENERATION_MARKER_0"><\/span>[\S\s]*<span id="LICENSE_GENERATION_MARKER_1"><\/span>/,
        marker: '<span id="LICENSE_GENERATION_MARKER_0"></span>\n__INSERT_GENERATED__\n<span id="LICENSE_GENERATION_MARKER_1"></span>',
    },
};
function readFileAndAddMarker(file, type) {
    let output = exports.insertionMarker.marker;
    if (fs_1.existsSync(file)) {
        const inputFile = fs_1.readFileSync(file).toString();
        output = inputFile.replace(Markers[type].regex, exports.insertionMarker.marker);
        if (!exports.insertionMarker.regex.test(output)) {
            output += `\n${exports.insertionMarker.marker}`;
        }
    }
    return output;
}
exports.readFileAndAddMarker = readFileAndAddMarker;
function insertGenerated(generatedText, type) {
    return Markers[type].marker.replace(/__INSERT_GENERATED__/, generatedText);
}
exports.insertGenerated = insertGenerated;
